6.0.0-git
2019-03-24

[#7936] new Tagger.php include
Summary new Tagger.php include
Queue Kronolith
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester horde (at) smartsector (dot) hu
Created 2009-02-02 (3702 days ago)
Due
Updated 2010-01-13 (3357 days ago)
Assigned 2009-11-04 (3427 days ago)
Resolved 2009-11-04 (3427 days ago)
Milestone
Patch No

History
2010-01-13 00:14:58 CVS Commit Comment #25 Reply to this comment
Changes have been made in Git for this ticket:

Check for, and throw exception if Content_Tagger class cannot be found 
from base.php. Temporary measure until Content_* system is better 
integrated with framework/autoloading etc...
Bug: 7936

http://git.horde.org/diff.php/kronolith/lib/Tagger.php?rt=horde-git&r1=048fd2907ef4ace8bce776d35fff2427ca173825&r2=9e178afdab63f394a5cdf393afabeed5d8a74b5c
http://git.horde.org/diff.php/kronolith/lib/base.php?rt=horde-git&r1=09ec72fad36cbb8f7d3b13531793d55bad790620&r2=9e178afdab63f394a5cdf393afabeed5d8a74b5c
2010-01-12 23:59:09 CVS Commit Comment #24 Reply to this comment
Changes have been made in Git for this ticket:

Revert "Autoload Content." See Ticket: 7936 This reverts commit 
8925854973d1ba488b3f282f4f991d178bf2f52f.

http://git.horde.org/diff.php/kronolith/lib/base.php?rt=horde-git&r1=1ae2116e07c1d6fff4b20a7c9203f6eeb349c4db&r2=3d5cc54f92f2624a1ece227d44a94cf48f281257
2010-01-12 23:59:08 CVS Commit Comment #23 Reply to this comment
Changes have been made in Git for this ticket:

Revert "Remove the requirement for a registry entry for content from 
the" See Ticket: 7936 This reverts commit 
85844520fcbb20506880dc41f29ec15d9ca65f53.

http://git.horde.org/diff.php/kronolith/lib/Tagger.php?rt=horde-git&r1=85844520fcbb20506880dc41f29ec15d9ca65f53&r2=3917c030a062a6e00f07960e6361cd01b497ec87
2009-11-04 06:54:00 Michael Rubinsky State ⇒ Resolved
 
2009-11-04 06:53:39 CVS Commit Comment #22 Reply to this comment
Changes have been made in Git for this ticket:

Check for, and throw exception if Content_Tagger class cannot be found 
from base.php. Temporary measure until Content_* system is better 
integrated with framework/autoloading etc...
Bug: 7936

http://git.horde.org/diff.php/kronolith/lib/Tagger.php?rt=horde-hatchery&r1=048fd2907ef4ace8bce776d35fff2427ca173825&r2=9e178afdab63f394a5cdf393afabeed5d8a74b5c
http://git.horde.org/diff.php/kronolith/lib/base.php?rt=horde-hatchery&r1=09ec72fad36cbb8f7d3b13531793d55bad790620&r2=9e178afdab63f394a5cdf393afabeed5d8a74b5c
2009-11-04 00:43:39 Michael Rubinsky Comment #21
Assigned to Michael Rubinsky
Taken from Jan Schneider
Reply to this comment
From what I remember, the reason it isn't included more "officially" 
is that the Content stuff was supposed to be refactored into more of a 
framework library at one point, or at least have it more integrated 
with the rest of the libraries...but I will make a note of it 
somewhere else as well.
2009-11-04 00:40:06 Michael Slusarz Comment #20 Reply to this comment
This needs to be documented somewhere besides the Tagger.php file 
(i.e. in registry.php or kronolith/docs/INSTALL).
And at a minimum should exit gracefully if the registry entry doesn't 
exist instead of outputting a PHP fatal error message to the AJAX 
handler.
2009-11-04 00:39:02 Michael Slusarz Comment #19
State ⇒ Feedback
Version ⇒ Git master
Reply to this comment
This needs to be documented somewhere besides the Tagger.php file 
(i.e. in registry.php or kronolith/docs/INSTALL).
2009-03-02 14:43:56 Michael Rubinsky Comment #18 Reply to this comment


Sure, though you can change 'status' to 'hidden' so it won't appear in 
the menu.
2009-03-02 09:42:03 horde (at) smartsector (dot) hu Comment #17 Reply to this comment
This works now, but is it correct?



$this->applications['content'] = array(

     'fileroot' => dirname(__FILE__) . '/../content',

     'name' => _("Content"),

     'status' => 'active',

);




2009-02-16 15:44:04 Michael Rubinsky Comment #16 Reply to this comment
Did you create a registry entry for content in config/registry.php?



If you need further help, please ask on the mailing list.
2009-02-16 10:01:57 horde (at) smartsector (dot) hu Comment #15 Reply to this comment
I still couldn't get it work, only with some patching...



kronolit/lib/Tagger.php:

require_once HORDE_BASE . '/content/lib/Users/Manager.php';

require_once HORDE_BASE . '/content/lib/Types/Manager.php';

require_once HORDE_BASE . '/content/lib/Objects/Manager.php';

require_once HORDE_BASE . '/content/lib/Tagger.php';



I see there's the autoloader, but doesn't work for me.


2009-02-10 17:10:41 Michael Rubinsky State ⇒ Not A Bug
 
2009-02-10 17:08:55 Michael Rubinsky Comment #14
State ⇒ Resolved
Reply to this comment
Reverted...
2009-02-10 16:51:32 Jan Schneider Comment #13 Reply to this comment
You both are right, this is probably due to my side-by-side checkout.
2009-02-10 16:46:33 Michael Rubinsky Comment #12 Reply to this comment
I'm sorry, I don't follow that.  In base.php the autoloader is 
configured to look in HORDE_BASE . '/content/lib' for Content_* 
libraries.  Content is in the hatchery, so it would not be present in 
HORDE_BASE for a standard out of the box checkout without either 
copying it or symlinking it into HORDE_BASE....or am I missing 
something?
2009-02-10 16:45:46 Chuck Hagenbuch Comment #11 Reply to this comment
No, it uses HORDE_BASE, which is different. I guess I haven't tried 
un-symlinking kronolith and just pointing the registry entry for it 
elsewhere lately, in combination with base.local.php.



Also, content is generally a library, yes, but it will need a registry 
entry so that the routes work for the web ui pieces of it.
2009-02-10 16:39:48 Jan Schneider Comment #10 Reply to this comment
This way it works out of the box with a regular checkout.
...well, not exactly out of the box, as the content directory will
now need to be symlinked into the horde root.
No, the autoload configuration has been added to Kronolith which is in 
the same directory like content.
2009-02-10 15:56:28 Michael Rubinsky Comment #9 Reply to this comment
This way it works out of the box with a regular checkout.
...well, not exactly out of the box, as the content directory will 
nowl need to be symlinked into the horde root.
2009-02-10 15:50:08 Jan Schneider Comment #8 Reply to this comment
This way it works out of the box with a regular checkout. This extra 
rule is no longer necessary once content is at a regular place that 
can be autoloaded. It's never supposed to be a standalone application, 
right? Then is should end up in the include_path, unless I am missing 
something.
2009-02-10 15:40:01 Chuck Hagenbuch Comment #7
State ⇒ Feedback
Reply to this comment
Why are we hardcoding an assumption of content living in HORDE_BASE 
now? The registry method is much more flexible.
2009-02-03 13:11:25 Jan Schneider Comment #6 Reply to this comment
Please create separate tickets for different issues.
2009-02-03 12:02:13 horde (at) smartsector (dot) hu Comment #5 Reply to this comment
new error at the same place after copying content dirs to horde home.

kronolith db was newly initialized with the mysql script after we 
changed to the development code of kronolith, so I don't understand 
this...



Fatal error: Uncaught exception 'Horde_Db_Exception' with message 
'QUERY FAILED: No database selected SELECT type_id, type_name FROM 
`rampage_types` WHERE type_name IN ('calendar','event')' in 
/usr/share/php/Horde/Db/Adapter/Mysqli.php:299 Stack trace: #0 
/usr/share/php/Horde/Db/Adapter/Mysqli.php(217): 
Horde_Db_Adapter_Mysqli->execute('SELECT type_id,...', NULL, NULL) #1 
/usr/share/php/Horde/Db/Adapter/Abstract.php(391): 
Horde_Db_Adapter_Mysqli->selectAll('SELECT type_id,...', NULL, NULL) 
#2 /usr/share/horde/content/lib/Types/Manager.php(75): 
Horde_Db_Adapter_Abstract->selectAssoc('SELECT type_id,...') #3 
/usr/share/horde/kronolith/lib/Tagger.php(62): 
Content_Types_Manager->ensureTypes(Array) #4 
/usr/share/horde/kronolith/templates/panel.inc(28): 
Kronolith_Tagger->__construct() #5 
/usr/share/horde/kronolith/month.php(39): 
require('/usr/share/hord...') #6 
/usr/share/horde/kronolith/index.php(23): 
include('/usr/share/hord...') #7 {main} thrown in 
/usr/share/php/Horde/Db/Adapter/Mysqli.php on line 299
2009-02-02 22:20:26 Jan Schneider Comment #4
Assigned to Jan Schneider
Taken from Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Content is autoloaded from kronolith/lib/base.php now.
2009-02-02 21:10:42 horde (at) smartsector (dot) hu Comment #3 Reply to this comment
That's ok, I saw this comment. But there's no content entry in 
horde/config/registry.php...



I'm sorry if I missed something...
2009-02-02 20:30:26 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Not A Bug
Reply to this comment
There is a comment in the lib/Tagger.php file explaining what you need 
to do to ensure this can be autoloaded for the time being.
2009-02-02 20:13:24 horde (at) smartsector (dot) hu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ new Tagger.php include
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
I receive the following error when changing to Calendar view:

Class 'Content_Users_Manager' not found in 
/usr/share/horde/kronolith/lib/Tagger.php on line 49



The error is below the displayed calendar.

Content_User_Manager as I can see is defined in the 
horde-hatchery/content clone, but there's no information where to 
include it manually...

Saved Queries